org.apache.lucene.index

## Class LegacySortedNumericDocValues

- java.lang.Object
- - org.apache.lucene.index.LegacySortedNumericDocValues

- Deprecated.
  Use `SortedNumericDocValues` instead.

      @Deprecated
      public abstract class LegacySortedNumericDocValues
      extends Object

  A list of per-document numeric values, sorted according to `Long.compare(long, long)`.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `LegacySortedNumericDocValues()` Deprecated. Sole constructor.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract int` | `count()` Deprecated. Retrieves the count of values for the current document.
    `abstract void` | `setDocument(int doc)` Deprecated. Positions to the specified document
    `abstract long` | `valueAt(int index)` Deprecated. Retrieve the value for the current document at the specified index.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LegacySortedNumericDocValues

          protected LegacySortedNumericDocValues()

      Deprecated.
      Sole constructor. (For invocation by subclass constructors, typically implicit.)

  - ### Method Detail

    - #### setDocument

          public abstract void setDocument(int doc)

      Deprecated.
      Positions to the specified document

    - #### valueAt

          public abstract long valueAt(int index)

      Deprecated.
      Retrieve the value for the current document at the specified index. An index ranges from `0` to `count()-1`.

    - #### count

          public abstract int count()

      Deprecated.
      Retrieves the count of values for the current document. This may be zero if a document has no values.

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.